# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/raydium,rm67200.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Raydium RM67200 based MIPI-DSI panels

maintainers:
  - Sebastian Reichel <sebastian.reichel@collabora.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    items:
      - enum:
          - wanchanglong,w552793baa
      - const: raydium,rm67200

  reg:
    maxItems: 1

  vdd-supply:
    description: 2.8V Logic voltage

  iovcc-supply:
    description: 1.8V IO voltage

  vsp-supply:
    description: positive 5.5V voltage

  vsn-supply:
    description: negative 5.5V voltage

  backlight: true
  port: true
  reset-gpios: true

required:
  - compatible
  - port
  - reg
  - reset-gpios

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    dsi {
        #address-cells = <1>;
        #size-cells = <0>;
        panel@0 {
            compatible = "wanchanglong,w552793baa", "raydium,rm67200";
            reg = <0>;

            vdd-supply = <&regulator1>;
            iovcc-supply = <&regulator2>;
            vsp-supply = <&regulator3>;
            vsn-supply = <&regulator4>;
            reset-gpios = <&gpiobank 42 GPIO_ACTIVE_LOW>;

            port {
                panel0_in: endpoint {
                    remote-endpoint = <&dsi0_out>;
                };
            };
        };
    };
...
